
<p-toast></p-toast>

<p>{{title}}</p>

<router-outlet></router-outlet>

<div class="">
    <div class="flex flex-wrap justify-content-between">

      <div 
        pDroppable="task"
        (onDrop)="onDrop('todo')"
      >
        <app-card
          header="Todo"
          [task]="todo"
          (updateTask)="updateTask($event)"
          (getSelectedTask)="getTask($event)"
        ></app-card>
      </div>

      <div 
        pDroppable="task"
        (onDrop)="onDrop('progress')"
      >
        <app-card
          header="In Progress"
          [task]="progress"
          (updateTask)="updateTask($event)"
          (getSelectedTask)="getTask($event)"
        ></app-card>
      </div>

      <div 
        pDroppable="task"
        (onDrop)="onDrop('review')"
      >
        <app-card
          header="In Review"
          [task]="review"
          (updateTask)="updateTask($event)"
          (getSelectedTask)="getTask($event)"
        ></app-card>
      </div>

      <div 
        pDroppable="task"
        (onDrop)="onDrop('done')"
      >
        <app-card
          header="Completed"
          [task]="done"
          (updateTask)="updateTask($event)"
          (getSelectedTask)="getTask($event)"
        ></app-card>
      </div>

    </div>
</div>